EZ_GetSelectedMenuItem(3)

NAME
EZ_GetSelectedMenuItem, EZ_GetWidgetReturnData - retrieve the selected item from a popup menu

SYNOPSIS
#include <EZ.h>

EZ_Widget  *EZ_GetSelectedMenuItem( EZ_Widget *widget)
int         EZ_GetWidgetReturnData( EZ_Widget *widget)
int         EZ_GetWidgetReturnedData( EZ_Widget *widget)

ARGUMENTS
widget Specifies an EZ Widget.

DESCRIPTION

These functions are relevant only for menu-items, menus and menu-buttons.

EZ_GetWidgetReturnData returns the return-value set on the last selected menu-item. In the case when no valid selection was made during the last menu popup, it returns -1.

EZ_GetSelectedMenuItem returns the last selected menu item on a popup menu. If no valid selection has been made on the last popup, it returns NULL.

When a menu is posted, its return value is set to -1. When a selection is made and the menu is unposted, the return value of the selected menu item is propagated to its parent (a popup menu). If the menu was posted by a menu-button, this return value is also propagated to the menu button. The selected item is propagated accordingly.

SEE ALSO
 EZ_CreateWidget(3), EZ_DoPopup(3)